AcdbPolyLine

介紹
ObjectARX 中提供了三種多段線的相關類:AcDbPolyline 、AcDb2dPolyline 和
AcDb3dPolyline 。其中,利用AutoCAD 的內部命令可以創建AcDbPolyline 和AcDb3dPolyline
類的對象,用PLINE 命令創建的對象是輕量多段線(AcDbPolyline ),用3DPOLY 命令創建
的對象是三維多段線(AcDb3dPolyline )。
創建輕量多段線和三維多段線的函式,直接封裝AcDbPolyline 和AcDb3dPolyline 類的構
造函式即可;創建正多邊形、矩形、圓形和圓環,實際上都是創建了特殊形狀的輕量多段線,
創建這些對象的關鍵都在於頂點和凸度的確定。
構造函式和常用員函式如下:
AcDbPolyline(unsigned int num_verts);
Acad::ErrorStatus
addVertexAt(
unsigned int index,
const AcGePoint2d& pt,
double bulge = 0.,
double startWidth = -1.,
double endWidth = -1);
index
Input the index (0 based) before which to insert the vertex
pt
Input vertex location point
bulge
Input bulge value for vertex
startWidth
Input start width for vertex
endWidth
Input end width for vertex
Acad::ErrorStatus
setBulgeAt(
unsigned int index,
double bulge);
index
Input the index (0 based) of the vertex
bulge
Input the bulge value for the vertex

熱門詞條

聯絡我們